# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2/Plugin.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(Plack/Test.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Dancer2-Plugin-Flash
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: flash message for Dancer2
Group: Development/Perl
License: artistic_2
URL: http://perldancer.org/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHARDIWAL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A flash is session data with a specific life cycle. When you put something into the flash it stays then until the end of the next request. This allows you to use it for storing messages that can be accessed after a redirect, but then are automatically cleaned up.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

